%global forgeurl https://github.com/tildearrow/furnace
Version:        0.6.1
%forgemeta

Name:           furnace
Release:        %autorelease
Summary:        a multi-system chiptune tracker compatible with DefleMask modules

# The applications is mainly under GPL-2.0-or-later license, the bundled libraries:
# SAASound - BSD-3-Clause
# vgsound_emu-modified - ZLib
# adpcm - Unlicense
# opn - GPL-2.1-or-later
# Nuked-PSG - GPL-2.0-only
# opm - GPL-2.1-or-later
# Nuked-OPLL - GPL-2.0-or-later
# opl - GPL-2.1-or-later
# YM3812-LLE - GPL-2.0-or-later
# ESFMu - GPL-2.1-or-later
# pwrnoise - MIT
License:        GPL-2.0-or-later AND BSD-3-Clause AND Zlib AND Unlicense AND GPL-2.1-or-later AND GPL-2.0-only AND MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
# download adpcm bundled library from the specfic commit
Source1:        https://github.com/superctr/adpcm/archive/ef7a217154badc3b99978ac481b268c8aab67bd8.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(rtmidi)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(jack)
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%description
%{summary}.

%prep
%autosetup -p1

tar xf %{SOURCE1} -C extern/adpcm --strip-components=1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DUSE_FREETYPE=ON \
    -DSYSTEM_FMT=ON \
    -DSYSTEM_FREETYPE=ON \
    -DSYSTEM_LIBSNDFILE=ON \
    -DSYSTEM_PORTAUDIO=ON \
    -DSYSTEM_RTMIDI=ON \
    -DSYSTEM_ZLIB=ON \
    -DSYSTEM_SDL2=ON

%cmake_build

%install
%cmake_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license LICENSE
%{_bindir}/furnace
%{_datadir}/applications/furnace.desktop
%{_datadir}/icons/hicolor/*/apps/furnace.png
%{_datadir}/doc/furnace/
%dir %{_datadir}/furnace
%{_datadir}/furnace/demos/
%{_datadir}/furnace/instruments/
%{_datadir}/furnace/wavetables/

%changelog
%autochangelog
